org.eclnt.jsfserver.elements.util

## Class FIXGRIDPivotItem<R>

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.util.FIXGRIDPivotItem<R>

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem

      public class FIXGRIDPivotItem<R>
      extends FIXGRIDItem
      implements java.io.Serializable

  Items that is used inside a FIXGRIDPivotList.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `FIXGRIDPivotItem.ItemCall`
    `class` | `FIXGRIDPivotItem.ItemCallMap` String is
    `class` | `FIXGRIDPivotItem.SortValueMap`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDPivotItem(FIXGRIDPivotListBinding pivotList, R reference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyValue(java.lang.String key, java.lang.String value)` Define the pivot key value.
    `protected FIXGRIDPivotItem<R>` | `createNewFoldedItem()` When the user folds an item, then a new item is created and inserted into the list of items.
    `protected void` | `foldPivot(java.lang.String pivotKey)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getB()` Returns the background painting for the cells
    `boolean` | `getFolded()` Indicates if this grid item is an item containing other items.
    `java.util.List<FIXGRIDPivotItem>` | `getHiddenItems()` In case a pivot item is folded then it contains hidden items.
    `java.util.Map<java.lang.String,java.lang.String>` | `getI()` Returns the icons for the client display.
    `java.util.Map<java.lang.String,java.lang.String>` | `getK()` Return the keys for the client display.
    `java.util.Map<java.lang.String,java.lang.String>` | `getKeys()` Return the keys.
    `FIXGRIDPivotItem.ItemCallMap` | `getM()`
    `java.lang.Boolean` | `getMarked()` Selection status as Boolean value: true ==> all marked, null ==> some marked, false ==> none marked
    `R` | `getR()`
    `FIXGRIDPivotItem.SortValueMap` | `getSv()`
    `void` | `setMarked(java.lang.Boolean value)` Drills down the marking to the "leaves" of the hierarchy.
    `void` | `togglePivot(java.lang.String pivotKey)` Method that is called by a button from the layout definition.
    `protected void` | `unfoldPivot()`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXGRIDPivotItem

          public FIXGRIDPivotItem(FIXGRIDPivotListBinding pivotList,
                                  R reference)

      Parameters:
        `pivotList` - List in which the item is organized.
        `R` - Data that is associated with the item, i.e. additional attributes which are shown in addition to the pivot key fields. From layout definition point the properties are accessed using ".{r.propertyName}".

  - ### Method Detail

    - #### addKeyValue

          public void addKeyValue(java.lang.String key,
                                  java.lang.String value)

      Define the pivot key value. Has to be done for every key element and for each item.

    - #### togglePivot

          public void togglePivot(java.lang.String pivotKey)

      Method that is called by a button from the layout definition. This toggles the Pivot item.

    - #### getR

          public R getR()

    - #### getKeys

          public java.util.Map<java.lang.String,java.lang.String> getKeys()

      Return the keys.

    - #### getK

          public java.util.Map<java.lang.String,java.lang.String> getK()

      Return the keys for the client display. Pay attention: this method returns the keys with respect to non-double displaying of information in the grid! Use @link `getKeys()` to access the key information from your application.

    - #### getSv

          public FIXGRIDPivotItem.SortValueMap getSv()

    - #### getI

          public java.util.Map<java.lang.String,java.lang.String> getI()

      Returns the icons for the client display.

    - #### getB

          public java.util.Map<java.lang.String,java.lang.String> getB()

      Returns the background painting for the cells

    - #### getM

          public FIXGRIDPivotItem.ItemCallMap getM()

    - #### getFolded

          public boolean getFolded()

      Indicates if this grid item is an item containing other items. When folding a pivot item then "original items" are parked as "hidden items" inside a "folded item".

    - #### getHiddenItems

          public java.util.List<FIXGRIDPivotItem> getHiddenItems()

      In case a pivot item is folded then it contains hidden items.

    - #### getMarked

          public java.lang.Boolean getMarked()

      Selection status as Boolean value: true ==> all marked, null ==> some marked, false ==> none marked

    - #### setMarked

          public void setMarked(java.lang.Boolean value)

      Drills down the marking to the "leaves" of the hierarchy.

    - #### foldPivot

          protected void foldPivot(java.lang.String pivotKey)

    - #### createNewFoldedItem

          protected FIXGRIDPivotItem<R> createNewFoldedItem()

      When the user folds an item, then a new item is created and inserted into the list of items. By default an item is created without reference item.

    - #### unfoldPivot

          protected void unfoldPivot()

Copyright © CaptainCasa Gmbh. All Rights Reserved.